Page MenuHomePhabricator

Update conflict symbol in pop-up for 2ColConflict edit page
Closed, ResolvedPublic1 Estimated Story Points

Description

Replace existing lightning visual in the help pop-up to the new double arrow conflict symbol on the 2 Column Edit Conflict page.

Left to Right

Right to Left


Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptMar 26 2020, 9:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lena_WMDE set the point value for this task to 1.Mar 26 2020, 9:52 AM
Lena_WMDE moved this task from Backlog to Product backlog on the Two-Column-Edit-Conflict-Merge board.

Here is the new symbol proposal both as PNG and SVG files:

ECohen_WMDE updated the task description. (Show Details)Mar 27 2020, 10:35 AM
This comment was removed by Erdinc_Ciftci_WMDE.

@Erdinc_Ciftci_WMDE thanks! This is the ticket for the talk page pop-up though and the ticket on this page is about replacing the image for the existing 2ColConflict page. Can you upload an updated visual for that as well?

Sorry that's my fault for writing the ticket vaguely, I'll update it to be clearer.

ECohen_WMDE renamed this task from Update conflict symbol in pop-up to Update conflict symbol in pop-up for 2ColConflict edit page.Mar 27 2020, 1:04 PM
ECohen_WMDE updated the task description. (Show Details)
Erdinc_Ciftci_WMDE added a comment.EditedMar 30 2020, 8:50 AM

Oh, thanks a lot @ecohen for noticing it, Here is the correct visual, both in PNG and SVG format:

WMDE-Fisch added a subscriber: WMDE-Fisch.

Here is the new symbol proposal both as PNG and SVG files:

@Erdinc_Ciftci_WMDE Hey, it would be great to have a right to left version of that file for right to left language wikis. Basically everything needs to be flipped. I tried to do that myself with Inkscape but all I end up with is either a file more than double the size or when I run the svgmin optimization I'm getting a file that I don't trust 100% ( due to a broken look in the Ubunut image viewer preview ). Thanks!

@WMDE-Fisch Here is the right-to-left visual for the 2Col version

In T248559#6036446, @ecohen wrote:

@WMDE-Fisch Here is the right-to-left visual for the 2Col version

Hej, thanks but unfortunately it's not quite correct ;-). I guess I should have been more clear or at least provide a screenshot :-D. For right to left really everything needs to be flipped^^'. The colors change places and I also guess it makes sense to change the arrows. See the screenshot:

Hey, @WMDE-Fisch I've quickly made the changes but I have to meet Robin now for the survey banner and then will be offline until tomorrow. I can follow up early in the morning if still, something is missing (I had to do it in a hurry.) or the design file is the same if @ecohen wants to make any changes :)

Hey @Erdinc_Ciftci_WMDE thanks for the quick reply. The image looks good now. Generally it's better for us to have the svg version. I guess this might something where we never really talked about. Sorry. But no worries, we're not in a hurry here. Tomorrow morning would also be fine.

@WMDE-Fisch

The call with Robin ended early, so here is the SVG version. Sorry for not putting in the first time...

Change 587505 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Update the tour to the new conflict logo

https://gerrit.wikimedia.org/r/587505

Change 587505 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Update the tour to the new conflict logo

https://gerrit.wikimedia.org/r/587505

thiemowmde closed this task as Resolved.Apr 14 2020, 11:38 AM
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-01 board.

Here is the visual with the icon flipped, not rotated.

thiemowmde reopened this task as Open.Apr 14 2020, 11:50 AM
thiemowmde moved this task from Done to Doing on the WMDE-QWERTY-Sprint-2020-04-01 board.
thiemowmde added a subscriber: thiemowmde.

@Erdinc_Ciftci_WMDE, the right-to-left version as provided in the comment T248559#6039340 shows an icon that is not mirrored but rotated (blue is on the top, but shouldn't).

@Erdinc_Ciftci_WMDE, thanks, got it. Looks correct now.

Now I think the other, left-to-right version of that image is incomplete (see the image in the comment T248559#6036446). The icon looks like it uses gray lines, but the other 3 images I have use black lines. Can you update this image as well?

@thiemowmde I see what you mean. I updated the color to match the talk page. Thanks for catching that. Here is the left to right. I think after this, they should all be consistent.

I will update the task description with the final files to hopefully avoid more confusion.

ECohen_WMDE updated the task description. (Show Details)Apr 14 2020, 12:19 PM

@Erdinc_Ciftci_WMDE, not 100% yet, as far as I can see. The little "star" lines inside of the icon are still gray.

Change 588938 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Fix inconsistencies in tour svgs

https://gerrit.wikimedia.org/r/588938

@Erdinc_Ciftci_WMDE, not 100% yet, as far as I can see. The little "star" lines inside of the icon are still gray.

I fixed that manually in the patch above. So it should be good now I guess.

Change 588938 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix inconsistencies in tour svgs

https://gerrit.wikimedia.org/r/588938

Ok great - thanks for fixing @WMDE-Fisch

WMDE-Fisch closed this task as Resolved.Apr 28 2020, 11:37 AM
WMDE-Fisch moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-15 board.